module.exports = api => {
	api.addTask({
		name: 'Firebase deploy',
		command: 'firebase deploy',
		description: 'Plugin to create task for firebase deploy',
		prompts: [
			{
				name: 'deployAll',
				type: 'confirm',
				default: true,
				description: 'Deploy all'
			},
			{
				name: 'mode',
				message: 'Select what you want deploy:',
				when: answers => !answers.deployAll,
				type: 'checkbox',
				choices: [
					{
						name: 'Hosting',
						value: 'hosting',
						checked: true
					},
					{
						name: 'Database',
						value: 'database',
						checked: true
					},
					{
						name: 'Storage',
						value: 'storage',
						checked: true
					},
					{
						name: 'Firestore',
						value: 'firestore',
						checked: true
					},
					{
						name: 'Functions',
						value: 'functions',
						checked: true
					},
				]
			},
		],

		onBeforeRun: async ({ answers, args }) => {
			if (answers.mode) args.push(`--only ${answers.mode.join(',')}`);
		},
	})
}